cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/communication_profiles/cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.communication_profiles.get_settings_communication_profile(
"cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.communicationProfiles.getSettingsCommunicationProfile(
'cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->communicationProfiles->getSettingsCommunicationProfile(
'cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.communication_profiles.communication_profiles_dto.CommunicationProfilesDto.SettingsCommunicationProfile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCommunicationProfile> response = client.communicationProfiles().getSettingsCommunicationProfile(
"cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CommunicationProfiles.GetSettingsCommunicationProfileAsync("cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.communicationProfiles
.getSettingsCommunicationProfile('cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CommunicationProfiles().GetSettingsCommunicationProfile(context.Background(), "cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"communication_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Communication profiles
Retrieve a communication profile
Returns one communication profile, under communication_profile.
GET
/
settings
/
communication_profiles
/
{communication_profile_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/communication_profiles/cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.communication_profiles.get_settings_communication_profile(
"cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.communicationProfiles.getSettingsCommunicationProfile(
'cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->communicationProfiles->getSettingsCommunicationProfile(
'cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.communication_profiles.communication_profiles_dto.CommunicationProfilesDto.SettingsCommunicationProfile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCommunicationProfile> response = client.communicationProfiles().getSettingsCommunicationProfile(
"cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CommunicationProfiles.GetSettingsCommunicationProfileAsync("cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.communicationProfiles
.getSettingsCommunicationProfile('cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CommunicationProfiles().GetSettingsCommunicationProfile(context.Background(), "cmp_7b2d9e4a1c6f4b8d9a3e5c1f2b4d6a8e", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"communication_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Pass the profile’s
cmp_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The communication profile's cmp_ id.
Response
The profile, under communication_profile.
One communication profile.
Show child attributes
Show child attributes